//=============================================================================
// Rikia USPC.
//=============================================================================
class RikiaUSPC extends SkeletalPlayer;

#exec MESH MODELIMPORT MESH=RikiaRSPC MODELFILE=models\RikiaRSPC.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=RikiaRSPC X=0 Y=0 Z=135 YAW=192

#exec MESH WEAPONATTACH MESH=RikiaRSPC BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=RikiaRSPC YAW=0 PITCH=0 ROLL=128 X=1.0 Y=0.0 Z=0.0

#exec MESHMAP SCALE MESHMAP=RikiaRSPC X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=RikiaRSPC ANIM=SoldierAnim

//#exec TEXTURE IMPORT NAME=RikiaRSPCDoll FILE=TEXTURES\RikiaRSPCSDoll.PCX GROUP="Icons" MIPS=OFF
//#exec TEXTURE IMPORT NAME=RikiaRSPCBelt FILE=TEXTURES\RikiaRSPCSBelt.PCX GROUP="Icons" MIPS=OFF

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
  local string MeshName, SkinItem, SkinPackage;

  MeshName = SkinActor.GetItemName(string(SkinActor.Mesh));

  SkinItem = SkinActor.GetItemName(SkinName);
  SkinPackage = Left(SkinName, Len(SkinName) - Len(SkinItem));

  if(SkinPackage == "")
  {
    SkinPackage="RikiaRSPCSkins.";
    SkinName=SkinPackage$SkinName;
  }

  if( TeamNum != 255 )
  {
    if(!SetSkinElement(SkinActor, 0, SkinName$"1T_"$String(TeamNum), default.DefaultSkinName$"1T_"$String(TeamNum)))
    {
      if(!SetSkinElement(SkinActor, 0, SkinName$"1", default.DefaultSkinName$"1"))
      {
        SetSkinElement(SkinActor, 0, default.DefaultSkinName$"1T_"$String(TeamNum), default.DefaultSkinName$"1T_"$String(TeamNum));
        SkinName=default.DefaultSkinName;
      }
    }
    SetSkinElement(SkinActor, 1, SkinName$"2T_"$String(TeamNum), SkinName$"2T_"$String(TeamNum));
    SetSkinElement(SkinActor, 2, SkinName$"3T_"$String(TeamNum), SkinName$"3T_"$String(TeamNum));
    SetSkinElement(SkinActor, 3, SkinName$"4T_"$String(TeamNum), SkinName$"4T_"$String(TeamNum));
  }
  else
  {
    if(!SetSkinElement(SkinActor, 0, SkinName$"1", default.DefaultSkinName))
      SkinName=default.DefaultSkinName;

    SetSkinElement(SkinActor, 1, SkinName$"2", SkinName$"2");
    SetSkinElement(SkinActor, 2, SkinName$"3", SkinName$"3");
    SetSkinElement(SkinActor, 3, SkinName$"4", SkinName$"4");
  }

  if( Pawn(SkinActor) != None )
    Pawn(SkinActor).PlayerReplicationInfo.TalkTexture = Texture(DynamicLoadObject(SkinName$"2Face", class'Texture'));
}

defaultproperties
{
   DefaultSkinName="RikiaRSPCSkins.RSPC"
   DefaultPackage="RikiaRSPCSkins."
   SelectionMesh="RikiaUSPC.RikiaRSPC"
   Mesh=SkeletalMesh'RikiaUSPC.RikiaRSPC'
   MenuName="Rikia USPC"
}

