//=============================================================================
// RikiaUSPC Bot.
//=============================================================================
class RikiaUSPCBot extends SkeletalBot;

static function SetMultiSkin(Actor SkinActor, string SkinName, string FaceName, byte TeamNum)
{
  local string MeshName, SkinItem, SkinPackage;

  MeshName = SkinActor.GetItemName(string(SkinActor.Mesh));

  SkinItem = SkinActor.GetItemName(SkinName);
  SkinPackage = Left(SkinName, Len(SkinName) - Len(SkinItem));

  if(SkinPackage == "")
  {
    SkinPackage="RikiaRSPCSkins.";
    SkinName=SkinPackage$SkinName;
  }

  if( TeamNum != 255 )
  {
    if(!SetSkinElement(SkinActor, 0, SkinName$"1T_"$String(TeamNum), ""))
    {
      if(!SetSkinElement(SkinActor, 0, SkinName$"1", ""))
      {
        SetSkinElement(SkinActor, 0, "RikiaRSPCSkins.RSPC1T_"$String(TeamNum), "RikiaRSPCSkins.RSPC1");
        SkinName="RikiaRSPCSkins.RSPC";
      }
    }
    SetSkinElement(SkinActor, 1, SkinName$"2T_"$String(TeamNum), SkinName$"2");
    SetSkinElement(SkinActor, 2, SkinName$"3T_"$String(TeamNum), SkinName$"3");
    SetSkinElement(SkinActor, 3, SkinName$"4T_"$String(TeamNum), SkinName$"4");
  }
  else
  {
    if(!SetSkinElement(SkinActor, 0, SkinName$"1", "RikiaRSPCSkins.RSPC1"))
      SkinName="RikiaRSPCSkins.RSPC";

    SetSkinElement(SkinActor, 1, SkinName$"2", "");
    SetSkinElement(SkinActor, 2, SkinName$"3", "");
    SetSkinElement(SkinActor, 3, SkinName$"4", "");
  }

  if( Pawn(SkinActor) != None )
    Pawn(SkinActor).PlayerReplicationInfo.TalkTexture = Texture(DynamicLoadObject(SkinName$"2Face", class'Texture'));
}

defaultproperties
{
   DefaultSkinName="RikiaRSPCSkins.RSPC"
   DefaultPackage="RikiaRSPCSkins."
   SelectionMesh="RikiaUSPC.RikiaRSPC"
   Mesh=SkeletalMesh'RikiaUSPC.RikiaRSPC'
   MenuName="Rikia USPC"
}

